OpenCV: cv::flann::IndexParams Struct Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::flann::IndexParams Struct Reference

`#include "miniflann.hpp"`

Inheritance diagram for cv::flann::IndexParams:

## Public Member Functions
| IndexParams ()
| ~IndexParams ()
void | getAll (std::vector< String > &names, std::vector< int > &types, std::vector< String > &strValues, std::vector< double > &numValues) const
double | getDouble (const String &key, double defaultVal=-1) const
int | getInt (const String &key, int defaultVal=-1) const
String | getString (const String &key, const String &defaultVal=String()) const
void | setAlgorithm (int value)
void | setBool (const String &key, bool value)
void | setDouble (const String &key, double value)
void | setFloat (const String &key, float value)
void | setInt (const String &key, int value)
void | setString (const String &key, const String &value)

## Public Attributes
void * | params

## Constructor & Destructor Documentation

## ◆ IndexParams()

cv::flann::IndexParams::IndexParams | ( |  | ) |

## ◆ ~IndexParams()

cv::flann::IndexParams::~IndexParams | ( |  | ) |

## Member Function Documentation

## ◆ getAll()

void cv::flann::IndexParams::getAll | ( | std::vector< String > & | names,
|  | std::vector< int > & | types,
|  | std::vector< String > & | strValues,
|  | std::vector< double > & | numValues
| ) |  | const

## ◆ getDouble()

double cv::flann::IndexParams::getDouble | ( | const String & | key,
|  | double | defaultVal = `-1`
| ) |  | const

## ◆ getInt()

int cv::flann::IndexParams::getInt | ( | const String & | key,
|  | int | defaultVal = `-1`
| ) |  | const

## ◆ getString()

String cv::flann::IndexParams::getString | ( | const String & | key,
|  | const String & | defaultVal = `String()`
| ) |  | const

## ◆ setAlgorithm()

void cv::flann::IndexParams::setAlgorithm | ( | int | value | ) |

## ◆ setBool()

void cv::flann::IndexParams::setBool | ( | const String & | key,
|  | bool | value
| ) |  |

## ◆ setDouble()

void cv::flann::IndexParams::setDouble | ( | const String & | key,
|  | double | value
| ) |  |

## ◆ setFloat()

void cv::flann::IndexParams::setFloat | ( | const String & | key,
|  | float | value
| ) |  |

## ◆ setInt()

void cv::flann::IndexParams::setInt | ( | const String & | key,
|  | int | value
| ) |  |

## ◆ setString()

void cv::flann::IndexParams::setString | ( | const String & | key,
|  | const String & | value
| ) |  |

## Member Data Documentation

## ◆ params

void* cv::flann::IndexParams::params

The documentation for this struct was generated from the following file:

- flann/include/opencv2/flann/miniflann.hpp